Red Hat Security Advisory 2021-0885-01 ≈ Packet Storm – Digitalmunition




Exploit/Advisories no-image-featured-image.png

Published on March 16th, 2021 📆 | 7486 Views ⚑

0

Red Hat Security Advisory 2021-0885-01 ≈ Packet Storm

—–BEGIN PGP SIGNED MESSAGE—–
Hash: SHA256

====================================================================
Red Hat Security Advisory

Synopsis: Moderate: Red Hat JBoss Enterprise Application Platform 7.3.6 security update
Advisory ID: RHSA-2021:0885-01
Product: Red Hat JBoss Enterprise Application Platform
Advisory URL: https://access.redhat.com/errata/RHSA-2021:0885
Issue date: 2021-03-16
CVE Names: CVE-2020-8908 CVE-2020-10687 CVE-2020-28052
CVE-2020-35510 CVE-2021-20220 CVE-2021-20250
====================================================================
1. Summary:

A security update is now available for Red Hat JBoss Enterprise Application
Platform 7.3.

Red Hat Product Security has rated this update as having a security impact
of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Description:

Red Hat JBoss Enterprise Application Platform 7 is a platform for Java
applications based on the WildFly application runtime.

This release of Red Hat JBoss Enterprise Application Platform 7.3.6 serves
as a replacement for Red Hat JBoss Enterprise Application Platform 7.3.5,
and includes bug fixes and enhancements. See the Red Hat JBoss Enterprise
Application Platform 7.3.6 Release Notes for information about the most
significant bug fixes and enhancements included in this release.

Security Fix(es):

* jboss-remoting: Threads hold up forever in the EJB server by suppressing
the ack from an EJB client (CVE-2020-35510)

* bouncycastle: password bypass in OpenBSDBCrypt.checkPassword utility
possible (CVE-2020-28052)

* wildfly-undertow: undertow: Possible regression in fix for CVE-2020-10687
(CVE-2021-20220)

* jboss-ejb-client: wildfly: Information disclosure due to publicly
accessible privileged actions in JBoss EJB Client (CVE-2021-20250)

* guava: local information disclosure via temporary directory created with
unsafe permissions (CVE-2020-8908)

3. Solution:

Before applying this update, back up your existing Red Hat JBoss Enterprise
Application Platform installation and deployed applications.

The References section of this erratum contains a download link (you must
log in to download the update).

The JBoss server process must be restarted for the update to take effect.

4. Bugs fixed (https://bugzilla.redhat.com/):

1905796 – CVE-2020-35510 jboss-remoting: Threads hold up forever in the EJB server by suppressing the ack from an EJB client
1906919 – CVE-2020-8908 guava: local information disclosure via temporary directory created with unsafe permissions
1912881 – CVE-2020-28052 bouncycastle: password bypass in OpenBSDBCrypt.checkPassword utility possible
1923133 – CVE-2021-20220 undertow: Possible regression in fix for CVE-2020-10687
1929479 – CVE-2021-20250 wildfly: Information disclosure due to publicly accessible privileged actions in JBoss EJB Client

5. JIRA issues fixed (https://issues.jboss.org/):

JBEAP-20336 – (7.3.z) Upgrade Bouncy Castle from 1.65.0.redhat-00001 to 1.68.0.redhat-00001
JBEAP-20628 – [GSS] (7.3.z) Upgrade undertow from 2.0.33.SP2-redhat-00001 to 2.0.34.SP1-redhat-00001
JBEAP-20672 – [GSS](7.3.z) Upgrade Artemis from 2.9.0.redhat-00017 to 2.9.0.redhat-00019
JBEAP-20694 – (7.3.z) Upgrade WildFly Galleon Plugins from 4.2.8.Final to 4.2.10.Final
JBEAP-20695 – (7.3.z) (WF-Core) Upgrade WildFly Galleon Plugins from 4.2.8.Final to 4.2.10.Final
JBEAP-20762 – [GSS](7.3.z) Upgrade jboss-ejb-client from 4.0.37.Final-redhat-00001 to 4.0.39.SP1-redhat-00001
JBEAP-20791 – (7.3.z) Upgrade WildFly Elytron from 1.10.10.Final-redhat-00001 to 1.10.11.Final-redhat-00001
JBEAP-20795 – [GSS](7.3.z) Upgrade HAL from 3.2.12.Final-redhat-00001 to 3.2.13.Final-redhat-00001
JBEAP-20802 – (7.3.z) Upgrade Narayana from 5.9.10.Final-redhat-00001 to 5.9.11.Final-redhat-00001
JBEAP-20805 – (7.3.z) Upgrade guava from 25.0.redhat-1 to 30.1.0.redhat-00001
JBEAP-20815 – [GSS](7.3.z) Upgrade JBoss Remoting from 5.0.20.Final-redhat-00001 to 5.0.20.SP1-redhat-00001
JBEAP-20816 – [GSS](7.3.z) Upgrade wildfly-http-client from 1.0.24.Final-redhat-00001 to 1.0.25.Final-redhat-00001
JBEAP-20883 – [GSS](7.3.z) Upgrade wildfly-naming-client from 1.0.13.Final-redhat-00001 to 1.0.14.Final-redhat-00001
JBEAP-20887 – (7.3.z) Upgrade IronJacamar from 1.4.22.Final-redhat-00001 to 1.4.27.Final-redhat-00001
JBEAP-20908 – (7.3.z)(wf-core) Upgrade guava from 20.0 to 30.1.0.redhat-00001
JBEAP-20918 – (7.3.z) Upgrade jboss-logmanager from 2.1.17.Final-redhat-00001 to 2.1.18.Final-redhat-00001
JBEAP-20941 – (7.3.z)(wf-core) Upgrade Bouncy Castle from 1.65 to 1.68

6. References:

https://access.redhat.com/security/cve/CVE-2020-8908
https://access.redhat.com/security/cve/CVE-2020-10687
https://access.redhat.com/security/cve/CVE-2020-28052
https://access.redhat.com/security/cve/CVE-2020-35510
https://access.redhat.com/security/cve/CVE-2021-20220
https://access.redhat.com/security/cve/CVE-2021-20250
https://access.redhat.com/security/updates/classification/#moderate
https://access.redhat.com/jbossnetwork/restricted/listSoftware.html?product=appplatform&downloadType=securityPatches&version=7.3
https://access.redhat.com/documentation/en-us/red_hat_jboss_enterprise_application_platform/7.3/
https://access.redhat.com/documentation/en-us/red_hat_jboss_enterprise_application_platform/7.3/html-single/installation_guide/

7. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2021 Red Hat, Inc.
—–BEGIN PGP SIGNATURE—–
Version: GnuPG v1

iQIVAwUBYFCwktzjgjWX9erEAQheaxAAlOOQwFBCrQt65iPtvo6SWihpfPGIKsnf
zEJXKq+kvvtN5h+qBCcAeA9yDH8Ful6/kdsk0bZwZdih7Jcmxzo9zeq7uu3txnuQ
/ML9us16c5ziAUn5x63BTckmHLJlSC5Y/8BcWJViEunD7NtiVJhBXVrwQZn25KUX
+ifej3XV3WY05TfU7RCI7iCAONrZmF40qtliykLgp7k6fNnkgy/xFRI5tmX4u22O
RcXypZ6QEfH2sscejp3ld2U3smNFltbiVdxo0xgwMmzV1YRYFJG3g/KZ/a5LXuH3
nhwJuIcwFSbKUiFXDuseo0Nh59vM+0kfeQd0XyS0uqN521SFneyAaBVgCGJ5KMZz
VhbuE/mosG9gRBLatSplaHxQjP7KON3XefE+7A8HRep93ATgWypK0u6LMCTNnxpk
SdJI4K9q/Il4z2/cDZ/DEb2gkQoKFa/aSDMKDrbU2foR2DofuJTUzvcxQ6GSFDBB
cC9/cKUmHjdoNMPqnImFPem32KIc2dwtQaSDODQMnTvI0ZcdHCwqHpDrw6Vd0Zdd
bMp1p2t56Dpw3ImDZTI04p8my/X6J0w9RHkbfnON0yepHAU+MYquQK2ghCtmwmp8
Wu0g38Zu9Wx110J1mypYIEhp903ckNg6uI+yVEZaeOFFQqudZ838uYqkYewmkeEJ
NedoWoNbNfw=Pxds
—–END PGP SIGNATURE—–


RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

Source link

Tagged with:



Leave a Reply